Cyberduck Mountain Duck CLI

#7961 closed enhancement (wontfix)

Add CMIS support

Reported by: Nicolas Raoul Owned by:
Priority: low Milestone:
Component: core Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

CMIS is a relatively new protocol for accessing document management servers. The CMIS protocol is rather similar to WebDAV. There are libraries to easily create CMIS clients.

All of the main ECM actors have implemented CMIS: Alfresco, Documentum, eXo Platform, HP Autonomy Interwoven, IBM FileNet, Microsoft SharePoint, NemakiWare, Nuxeo, OpenText, Oracle Webcenter, PTC Windchill, SAP HANA, ...

Being able to access CMIS servers via Cyberduck would be great. For now the alternative is to use CmisSync, which syncs file for offline use.

Change History (5)

comment:1 Changed on May 19, 2014 at 9:07:13 AM by dkocher

OpenCMIS would be the library of choice to use.

comment:2 Changed on May 19, 2014 at 9:09:22 AM by dkocher

Implementing our features with the API would be quite straight forward.

comment:3 Changed on Jun 18, 2014 at 1:51:35 PM by dkocher

  • Milestone 5.0 deleted

comment:4 follow-up: Changed on Nov 13, 2014 at 10:07:12 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:5 in reply to: ↑ 4 Changed on May 13, 2015 at 9:13:40 PM by EricWarnke

Replying to dkocher:

Why wontfix?

Note: See TracTickets for help on using tickets.
swiss made software